name: linuxserver-jackett
services:
  app:
    image: linuxserver/jackett:0.24.1113
    restart: unless-stopped
    environment:
      PUID: $PUID
      PGID: $PGID
      TZ: $TZ
      AUTO_UPDATE: ''
      RUN_OPTS: ''
    x-casaos:
      envs:
        - container: PUID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the UID to use here.
        - container: PGID
          description:
            en_us: Run 'id [USER]' for the owner of the host volume directories to get the GID to use here.
        - container: TZ
          description:
            en_us: specify a timezone to use, see this list.
        - container: AUTO_UPDATE
          description:
            en_us: Allow Jackett to update inside of the container. [OPTIONAL]
        - container: RUN_OPTS
          description:
            en_us: Optionally specify additional arguments to be passed. [OPTIONAL]
    ports:
      - target: 9117
        published: 9117
        protocol: tcp
    volumes:
      - type: bind
        source: /srv/lsio/jackett/config
        target: /config
      - type: bind
        source: /srv/lsio/jackett/downloads
        target: /downloads
x-casaos:
  architectures:
    - amd64
    - arm64
  main: app
  description:
    en_us: 'Jackett works as a proxy server: it translates queries from apps (Sonarr, SickRage, CouchPotato, Mylar, etc) into tracker-site-specific http queries, parses the html response, then sends results back to the requesting software. This allows for getting recent uploads (like RSS) and performing searches. Jackett is a single repository of maintained indexer scraping & translation logic - removing the burden from other apps.'
  tagline:
    en_us: 'Works as a proxy server: it translates queries from apps (Sonarr, SickRage, CouchPotato, Mylar, etc) into tracker-site-specific http queries, parses the html response, then sends results back to the requesting software. This allows for getting recent uploads (like RSS) and performing searches. Jackett is a single repository of maintained indexer scraping & translation logic - removing the burden from other apps.'
  developer: LinuxServer.io
  author: WisdomSky
  icon: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/jackett-banner.png
  thumbnail: https://raw.githubusercontent.com/linuxserver/docker-templates/master/linuxserver.io/img/jackett-banner.png
  title:
    en_us: Jackett
  category: LinuxServer.io
